vga_addmode(3)

NAME
vga_addmode - add a mode to svgalib modes list

SYNOPSIS
#include <vga.h> int vga_addmode(int width, int height, int num_cols, int offset, int bytesperpixel )

DESCRIPTION
Adds a mode to the list of modes, with the given parameters. The function returns the mode number. If such a mode already exists on the list, its number is returned, and no mode is added.

NOTE
Adding a mode to the list is not enough in order to use it. There must also be a timing line that fits that mode. This can be added either as a modeline in the config file, or with one of the functions vga_addtiming(3) and vga_guesstiming(3).

SEE ALSO
vga_addtiming(3) vga_guesstiming(3) addmodetest(6)

AUTHOR
This manual page was written by Matan Ziv-Av